diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 8ec8ea3..90f2893 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -448,10 +448,6 @@ Springer 9783540002576-c1.pdf
 Cuypers, Hans, Hendriks, Maxim, and Knopper, Jan Willem
 ``Interactive Geometry inside MathDox''
 \verb|www.win.tue.nl/~hansc/MathDox_and_InterGeo_paper.pdf|
-\bibitem[DGW]{DGW}
-Dalmas, St\'ephane, Gae\"tano, Marc, and Watt, Stephen
-``An OpenMath 1.0 Implementation''
-\verb|citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.116.4401.pdf|
 \bibitem[Dal92]{Dal92}
 S. Dalmas ``A polymorphic functional language applied to symbolic computation''
 In Wang [Wan92] pp369-375 ISBN 0-89791-489-9 (soft cover) 0-89791-490-2 
@@ -544,6 +540,10 @@ II: A categorical view of factorization'' Technical Report TR4/92 (ATR/2)
 (NP2491), Numerical Algorithms Group, Inc., Downer's Grove, IL, USA and
 Oxford, UK, December 1992
 \verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
+\bibitem[DGW]{DGW}
+Dalmas, St\'ephane, Gae\"tano, Marc, and Watt, Stephen
+``An OpenMath 1.0 Implementation''
+\verb|citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.116.4401.pdf|
 \bibitem[DJ92]{DJ92}
 D. Duval and F. Jung ``Examples of problem solving using computer algebra''
 IFIP Transactions. A. Computer Science and Technology, A-2 pp133-141, 143 1992
@@ -573,6 +573,14 @@ J. H. Davenport and B. M. Trager ``Scratchpad's view of algebra I: Basic
 commutative algebra'' Technical Report TR3/92 (ATR/1)(NP2490), Numerical
 Algorithms Group, Inc., Downer's Grove, IL, USA and Oxford, UK, December 1992. 
 \verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
+\bibitem[Dun98]{Dun98}
+Dunstan, Martin, Kelsey, Tom, Linton, Steve, Martin, Ursula
+``Lightweight Formal Methods For Computer Algebra Systems''
+\verb|www.cs.st-andrews.ac.uk/~tom/pub/issac98.pdf|
+\bibitem[Dun99]{Dun99}
+``Formal Methods for Extensions to CAS''
+Dunstan, Martin, Kelsey, Tom, Martin, Ursula, and Linton, Steve, 
+FME 99, Toulouse, France, Sept 20-24, 1999
 \bibitem[Du95]{Du95}
 Duval, D. ``Evaluation dynamique et cl\^oture alg\'ebrique en Axiom''. 
 Journal of Pure and Applied Algebra, no99, 1995, pp. 267--295.
@@ -712,11 +720,6 @@ L. Huguet and A. Poli, editors. Applied Algebra, Algebraic Algorithms and
 Error-Correcting Codes. 5th International Conference AAECC-5 Proceedings.
 Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
 1989. ISBN 3-540-51082-6. LCCN QA268.A35 1987
-\bibitem[Leb08]{Leb08}
-Lebedev, Yuri
-``OpenMath Library for Computing on Riemann Surfaces''
-PhD thesis, Nov 2008 Florida State University
-\verb|www.math.fsu.edu/~ylebedev/research/HyperbolicGeometry.html|
 \bibitem[Jan88]{Jan88}
 R. Jan{\ss}en, editor. Trends in Computer Algebra, International Symposium
 Bad Neuenahr, May 19-21, 1987, Proceedings, volume 296 of Lecture Notes in
@@ -799,6 +802,18 @@ R. D. Jenks and B. M. Trager. ``How to make AXIOM into a Scratchpad'' In ACM
 Joswig, Michael and Takayama, Nobuki
 ``Algebra, geometry, and software systems''
 Springer-Verlag ISBN 3-540-00256-1 p291
+\bibitem[Kel00a]{Kel00a}
+Kelsey, Tom
+``Formal specification of computer algebra''
+University of St Andrews, 6th April 2000
+\verb|www.cs.st-andrews.cs.uk/~tom/pub/fscbs.ps|
+\bibitem[Kel99]{Kel99}
+Kelsey, Tom
+``Formal Methods and Computer Algebra: A Larch Specification of AXIOM 
+Categories and Functors''
+Ph.D. Thesis, University of St Andrews, 1999
+\verb|www.cs.st-andrews.ac.uk/research/publications/Kel00.php|
+\verb|www.cs.st-andrews.ac.uk/research/output/detail?output=Kel00.php|
 \bibitem[Ken99a]{Ken99a}
 Kendall, W.S.
 ``Itovsn3 in AXIOM: modules, algebras and stochastic differentials''
@@ -832,11 +847,20 @@ Computation 12(1) pp71-87 July 1991 CODEN JSYCEH ISSN 0747-7171
 \bibitem[LeB91]{LeB91}
 S.E.LeBlanc. ``The use of MathCAD and Theorist in the ChE classroom'' In
 Anonymous [Ano91], pp287-299 (vol. 1) 2 vols.
+\bibitem[Leb08]{Leb08}
+Lebedev, Yuri
+``OpenMath Library for Computing on Riemann Surfaces''
+PhD thesis, Nov 2008 Florida State University
+\verb|www.math.fsu.edu/~ylebedev/research/HyperbolicGeometry.html|
 \bibitem[Le96]{Le96}
 Lecerf, Gr\'egoire 
 ``Dynamic Evaluation and Real Closure Implementation in Axiom''
 June 29, 1996 
 \verb|www.math.uvsq.fr/~lecerf/software/drc/drc.ps|
+\bibitem[Lin93]{Lin93}
+Linton, Steve
+``Vector Enumeration Programs, version 3.04''
+\verb|www.cs.st-andrews.ac.uk/~sal/nme/nme_toc.html#SEC1|
 \bibitem[LD97]{LD97}
 Richard Liska, Ladislav Drska, Jiri Limpouch, Milan Sinor, Michael Wester,
 Franz Winkler "Computer Algebra - algorithms, systems and applications''
diff --git a/changelog b/changelog
index 35ecbed..d5647a7 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20111208 tpd src/axiom-website/patches.html 20111208.01.tpd.patch
+20111208 tpd books/bookvolbib add additional Axiom literature references
 20111204 tpd src/axiom-website/patches.html 20111204.02.tpd.patch
 20111204 tpd src/axiom-website/axiomgraph/style/axiomicon.png add graphs
 20111204 tpd src/axiom-website/axiomgraph/style/axiomgraph.css add graphs
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index b93c906..8abd7f8 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3725,5 +3725,7 @@ books/bookvol5 treeshake interpreter<br/>
 books/bookvol9 code cleanup<br/>
 <a href="patches/20111204.02.tpd.patch">20111204.02.tpd.patch</a>
 src/axiom-website/axiomgraph/index.html add graphs<br/>
+<a href="patches/20111208.01.tpd.patch">20111208.01.tpd.patch</a>
+books/bookvolbib add additional Axiom literature references<br/>
  </body>
 </html>
